CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Macros | Typedefs | Functions
Error Handling
CppCMS C Session API

## Macros
#define | CPPCMS_CAPI_ERROR_OK 0
| Success.
#define | CPPCMS_CAPI_ERROR_GENERAL 1
| Uncategorized error.
#define | CPPCMS_CAPI_ERROR_RUNTIME 2
| Runtime Error occured.
#define | CPPCMS_CAPI_ERROR_INVALID_ARGUMENT 4
| Invalid Argument Provided.
#define | CPPCMS_CAPI_ERROR_LOGIC 5
| Invalid API Use.
#define | CPPCMS_CAPI_ERROR_ALLOC 6
| Allocation Failed.

## Typedefs
typedef void * | cppcms_capi_object

## Functions
CPPCMS_API int | cppcms_capi_error (cppcms_capi_object obj)
| Get error code for the object.
CPPCMS_API char const * | cppcms_capi_error_message (cppcms_capi_object obj)
| Get error message for the object.
CPPCMS_API char const * | cppcms_capi_error_clear (cppcms_capi_object obj)
| Clear error and get last message.

## Detailed Description

## Typedef Documentation

typedef void* cppcms_capi_object

"Base class" for cppcms_capi_session, cppcms_capi_session_pool, and cppcms_capi_cookie

Is used to get error status of the object